std_common_type.hpp File Reference

Defines a SFINAE-friendly version of `std::common_type`. More...

## Classes

struct | boost::hana::detail::std_common_type< T, U, typename >
| Equivalent to `std::common_type`, except it is SFINAE-friendly and does not support custom specializations. More...

## Namespaces

| boost::hana
| Namespace containing everything in the library.

## Detailed Description

Defines a SFINAE-friendly version of `std::common_type`.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)